new Vue({
    el: "#home",
    name: 'home',
    data() {
        return {
            showLoginAccount: false,
            showAccountInfo: false,
            showPayConfim: false,
            username: '',
            password: '',
            diamondList: [],
            roomCardList: [],
            tabIndex: 'roomCard',
            choseGoodsIndex: 0,
            buy_count: 0,
            is_received: 0,
            ybuy_count: 0,
            userid: '',
            nick: '',
            imgurl: '',
            payurl: '',
            wxopenid: '',
            wxpubconfig: '',
            appid: '',
            payAmount: 0,
            payPrice: 0,
            goodsType: "房卡",
            receiveCardColor: '#f2892e',
            payObj: {},
            boxStyle: {}

        }
    },
    created() {
        this.init()
    },
    mounted() {
        let availHeight = window.screen.availHeight
        if (availHeight < 680) {
            this.boxStyle = {
                'padding-bottom': '20vh'
            }
        }
    },
    methods: {
        init() {
            this.userid = localStorage.getItem('userid')
            this.nick = localStorage.getItem("nick")
            this.imgurl = localStorage.getItem("imgurl")
            this.payurl = localStorage.getItem("payurl")
            this.wxopenid = localStorage.getItem("wxopenid")
            this.wxpubconfig = localStorage.getItem("wxpubconfig")
            this.appid = localStorage.getItem("appid")
            if (this.userid) {
                if (localStorage.getItem('orderid')) {
                    vant.Dialog.alert({
                            title: '温馨提示',
                            message: '如您已完成支付,请到游戏客户端查收～',
                            // theme: 'round-button',
                        })
                        .then(() => {
                            localStorage.removeItem('orderid')
                        })
                } else {
                    this.showAccountInfo = true
                }
            }
            this.getShopList()
            this.getCardTotal()
        },
        changeTab(val) {
            this.tabIndex = val
            this.choseGoodsIndex = 0
            this.goodsType = val == 'roomCard' ? '房卡' : '钻石'
            if (val == 'roomCard') {
                this.payAmount = this.roomCardList[0].amount
                this.payPrice = this.roomCardList[0].price / 100
                this.payObj = this.roomCardList[0]
            } else {
                this.payAmount = this.diamondList[0].amount
                this.payPrice = this.diamondList[0].price / 100
                this.payObj = this.diamondList[0]
            }

        },
        receiveCard() {
            let url = 'https://xapitest.xinyuesite.com/new_shop/receivecard'
            let params = {
                userid: parseInt(this.userid),
                num: parseInt(this.ybuy_count),
                form_type: "wehcat"
            }
            if (this.is_received == 0) {
                vant.Toast("您没有可领取的赠卡！");
            } else {
                request(url, base64Params(params), "post", function (res) {
                    if (res.status == 0) {
                        vant.Toast("已领取到背包！");
                    } else {
                        vant.Toast(res.msg);
                    }

                })
            }

        },
        showAccountLogin() {
            this.showAccountInfo = false
            this.showLoginAccount = true


        },
        closeLogin() {
            this.showLoginAccount = false
            this.username = ""
            this.password = ""
            this.$refs['loginForm'].resetValidation()

        },
        onSubmit(values) {
            console.log('submit', values);
            this.closeLogin()
            vant.Toast("功能正在开发中......")
            if (values) {
                // window.location.href = 'home.html'
            }
        },
        pay() {
            this.showPayConfim = true
        },
        closePopup() {
            this.showPayConfim = false
            this.showAccountInfo = false
        },
        wechatPay() {
            let that = this;
            let params = {
                "type": "wechatH5",
                "goods": this.payObj.tag,
                "money": 1, //parseInt(this.payObj.price),
                "userid": parseInt(this.userid),
                "subject": this.goodsType,
                "body": this.payObj.name,
                "roomid": 0,
                "ingame": 0,
                "pay_stage": 1,
                "autobuy": 1,
                "ext": {
                    "ico": "hall_prop_icon/img_prop_roomcard.png"
                },
                "new_h5": 1,
                "ispch5": 1,
                "is_wechatpub": 1,
                "debug": 0,
                "roomtype": 0,
                "virtual": 0,
                "udid": "1111111111111111111111111111111111111111"
            }
            let url = 'https://xpaytest.xinyuesite.com/order/new/2/900/1.0.184/220101'
            request(url, params, "post", function (res) {
                if (res.status == 200) {
                    let result = res.responseText
                    result = result.replace('return', '').replace('{', "").replace('}', '')
                    let payurl = ''
                    let status = ''
                    let msg = ''
                    let orderid = ''
                    let tArr = result.split(',')
                    console.log(tArr)
                    for (let i = 0; i < tArr.length; i++) {
                        if (tArr[i].indexOf('callbackurl=') !== -1) {
                            payurl = tArr[i]
                        }
                        if (tArr[i].indexOf('status=') !== -1) {
                            status = tArr[i].split('=')[1]
                        }
                        if (tArr[i].indexOf('msg=') !== -1) {
                            msg = tArr[i].replace('msg="', "").replace('"', "")
                        }
                        if (tArr[i].indexOf('orderid=') !== -1) {
                            orderid = tArr[i].replace('orderid="', "").replaceAll('"', "")
                        }
                    }
                    if (status == 0) {
                        payurl = payurl.replace('callbackurl="', "").replace('"', "")
                        localStorage.setItem('orderid', orderid)
                        window.open(payurl, "_blank")

                    } else {
                        vant.Toast(msg);
                    }
                }
            })
        },
        choseGoods(item, type, index) {
            this.goodsType = type == 1 ? '房卡' : '钻石'
            this.payAmount = item.amount
            this.payPrice = item.price / 100
            this.choseGoodsIndex = index
            this.payObj = item
        },
        getShopList() {
            let that = this
            let url = 'http://shop-mp.xinyuesite.com/shop/list'
            request(url, {}, "post", function (res) {
                if (res.code == 0) {
                    console.log(res)
                    if (res.data) {
                        that.diamondList = res.data.diamond || []
                        that.roomCardList = res.data.room_card || []
                        if (that.roomCardList.length) {
                            that.payAmount = that.roomCardList[0].amount
                            that.payPrice = that.roomCardList[0].price / 100
                            that.payObj = that.roomCardList[0]
                        }
                    }
                } else {
                    vant.Toast(res.msg);
                }
            })
        },
        getCardTotal() {
            let that = this;
            let url = 'https://xapitest.xinyuesite.com/new_shop/cardtot'
            let params = {
                'userid': parseInt(that.userid)
            }
            request(url, base64Params(params), "post", function (res) {
                if (res.status == 0) {
                    let obj = JSON.parse(base64Result(res.data))
                    console.log(obj)
                    that.buy_count = obj.buy_count
                    that.is_received = obj.is_received
                    if (obj.is_received == 0) {
                        that.receiveCardColor = "gray"
                    }
                    that.ybuy_count = obj.ybuy_count
                } else {
                    vant.Toast(res.msg);
                }

            })
        }
    }
})

Vue.use(vant.Lazyload);