new Vue({
    el: "#login",
    name: 'login',
    data() {
        return {
            username: '',
            password: '',
            showLoginAccount: false,
        }
    },
    mounted() {
        this.getWxCode()
    },
    methods: {
        showAccountLogin() {
            this.showLoginAccount = true
        },
        closeLogin() {
            this.showLoginAccount = false
            this.username = ""
            this.password = ""
            this.$refs['loginForm'].resetValidation()

        },
        onSubmit(values) {
            console.log('submit', values);
            this.closeLogin()
            vant.Toast("功能正在开发中......")
            if (values) {
                // window.location.href = 'home.html'
            }
        },
        getWxCode() {
            if (!getQueryString("code")) {
                let url = "http://shop-mp.xinyuesite.com/sns/codeRedirect?url=" + encodeURIComponent(this.GetLocationURLWithoutCode())
                this.redirect(url)
                return
            } else {
                this.wxLogin()
            }
        },
        wxLogin() {
            let code = getQueryString("code")
            console.log("code==", code)
            request('http://shop-mp.xinyuesite.com/h5/bind', {
                code: code,
                tag: 'by',
                type: "new"
            }, "post", function (res) {
                // window.location.href = 'home.html'
                if (res.code == 0) {
                    console.log(res)
                    localStorage.setItem("userid", res.data.data.userID)
                    localStorage.setItem("nick", res.data.data.nick)
                    localStorage.setItem("imgurl", res.data.data.imgurl)
                    localStorage.setItem("payurl", res.data.data.payurl)
                    localStorage.setItem("wxopenid", res.data.data.wxopenid)
                    localStorage.setItem("wxpubconfig", res.data.data.wxpubconfig)
                    localStorage.setItem("appid", res.data.data.appid)
                    window.location.href = 'home.html'

                } else {
                    vant.Dialog.confirm({
                            title: '提示！',
                            message: '系统错误，是否刷新页面重试？',
                        })
                        .then(() => {
                            window.location.href = 'login.html'
                        })
                        .catch(() => {});
                }
            })
        },
        download() {
            window.location.href = 'https://www.xinyuepage.com/'
        },
        redirect(url) {
            if (url != "") {
                window.location.href = url
            }
        },
        GetLocationURLWithoutCode(params) {
            let protocol = window.location.protocol,
                host = window.location.host,
                path = window.location.pathname,
                query = window.location.search;
            let paramString = query.substring(1);
            let withoutCodeString = "";

            let vars = paramString.split("&");

            for (let i = 0; i < vars.length; i++) {
                if (vars[i] == "") {
                    continue
                }
                let pair = vars[i].split("=");
                if (pair[0] == "code" || pair[0] == "state" || pair[0] == "time" || pair[0] == "") {
                    continue
                }
                withoutCodeString += "&" + pair[0] + "=" + pair[1]
            }
            if (params) {
                withoutCodeString += '&time=' + params.time
            }
            if (withoutCodeString != "") {
                if (path.indexOf("?") != -1) {
                    withoutCodeString = "&" + withoutCodeString.substring(1)
                } else {
                    withoutCodeString = "?" + withoutCodeString.substring(1)
                }
            }
            return protocol + "//" + host + path + withoutCodeString
        }
    }
})

Vue.use(vant.Lazyload);